import java.io.*;

public class Kopiuj {
  public static void main (String args[]) {
    if(args.length < 2){
       System.out.println("Wywołanie programu: Kopiuj plik_źródłowy plik_docelowy");
       return;
    }

    File sourceFile = new File(args[0]);
    File destFile = new File(args[1]);

    if(!sourceFile.exists()){
      System.out.println("Plik źródłowy nie istnieje.");
      return;
    }
    if(destFile.exists()){
      System.out.println("Plik docelowy istnieje.");
      return;
    }
    RandomAccessFile rafSource = null;
    RandomAccessFile rafDest = null;

    try{
      rafSource = new RandomAccessFile(sourceFile, "r");
      rafDest = new RandomAccessFile(destFile, "rw");
    }
    catch(FileNotFoundException e){
      System.out.println("Błąd podczas otwierania plików: " + e);
      return;
    }

    int b;

    try{
      while((b = rafSource.read()) != -1){
        rafDest.write(b);
      }
      rafSource.close();
      rafDest.close();
    }
    catch(IOException e){
      System.out.print("\nBłąd wejścia-wyjścia podczas kopiowania pliku.");
      return;
    }
  }
}
